Webhook 注册与事件
Atlas API webhook 注册和事件查询参考,用于端点设置、更新和事件对账。
使用此页面从 API 参考层注册你的 webhook 端点和查询事件记录。
在需要以下内容时从此处开始:
在上线前注册或更新 webhook URL
在错过或未解决的事件后查询事件记录
将 webhook 投递与事件记录进行对账
常见问题
何时应注册 webhook URL?
在上线前注册 webhook URL。
然后在接收端点发生变更时更新它。
同一 URL 接收所有支持的事件,包括 order.void。
何时应查询事件?
当 webhook 投递、航班时刻变更处理或运营跟进需要更深层次对账时,查询事件。
当事件轨迹不完整或在 webhook 处理后仍不清楚时,使用事件查询。
履约流程订单应如何使用 webhook 和事件查询?
将 webhook 用作早期信号。
当事件轨迹不完整时,使用事件查询。
在 5 分钟履约窗口期间保持主动订单轮询。
本页面涵盖内容
updateWebhookURL.do用于 webhook 注册event/getPageList.do用于事件查询
后续步骤
使用 Webhook 概述了解运营模式和事件覆盖范围。
典型流程
在需要时使用此功能
初始 webhook 设置
webhook 端点更新
事件对账
航班时刻变更或取消后的运营跟进
注册范围
使用 updateWebhookURL.do 注册一个 webhook URL。
Atlas 将该 URL 用于所有支持的 webhook 事件类型。
包括 order.void。
在开始使用 getOfferPrice.do 进行履约流量之前,应已完成同一注册。
相关页面
Endpoint: https://sandbox.atriptech.com/updateWebhookURL.do
application/jsonapplication/jsongzip<YOUR_CLIENT_ID><YOUR_CLIENT_SECRET>The URL for receiving webhook notifications
It serves as an additional description of the response result. Especially when the interface reports an error (status !=0), it is usually a human-readable error message. Note: Do not use this field in any programming scenarios. For example, do not judge whether the interface responds successfully based on this field. Instead, you should only determine it by checking whether the status is equal to0at any time.
POST /updateWebhookURL.do HTTP/1.1
Accept: text
Accept-Encoding: text
x-atlas-client-id: text
x-atlas-client-secret: text
Content-Type: application/json
Content-Length: 47
{
"cid": "XXXXXXXX",
"url": "https://xxx.com/xxxx"
}{
"status": 0,
"msg": "success"
}Endpoint: https://sandbox.atriptech.com/event/getPageList.do
application/jsonapplication/jsongzip<YOUR_CLIENT_ID><YOUR_CLIENT_SECRET>Incident ID
Order number
Incident type:
email.schedulechange: Schedule Change-Email Notificationabnormal.cancelled: Unacounted Cancellationorder.schedulechange: Schedule Change-API Notification
Order's pnr.
Order's passenger names.
Order's passenger Email. Email address passed to the Airline.
Airline IATA code.
A list containing incident stauses
0: Unconfirmed1: Confirmed
Incident Receiving Time Start Format: yyyy-MM-dd HH:mm:ss UTC+08:00
Incident Receiving Time End Format: yyyy-MM-dd HH:mm:ss UTC+08:00
Departure Time Start(Departure local time) Format: yyyy-MM-dd HH:mm:ss
Departure Time End(Departure local time) Format: yyyy-MM-dd HH:mm:ss
Pagination
1Number of records per page
Current pagination
Page size
Total number of records
POST /event/getPageList.do HTTP/1.1
Accept: text
Accept-Encoding: text
x-atlas-client-id: text
x-atlas-client-secret: text
Content-Type: application/json
Content-Length: 218
{
"eventId": "",
"orderNo": "",
"eventType": "",
"eventStatus": [
0,
1
],
"airline": "",
"eventTimeStart": "2023-04-01 00:00:00",
"eventTimeEnd": "2023-05-01 00:00:00",
"depTimeStart": null,
"depTimeEnd": null,
"pageIndex": 1,
"pageSize": 100
}{
"records": [
{
"eventId": "20230401003644225YJQGR",
"orderNo": "HCNMN20230227142411968",
"subOrderNo": "HCNMN20230227142411968_1",
"eventType": "email.schedulechange",
"eventStatus": 0,
"eventTime": "Apr 1, 2023 12:36:44 AM",
"extraInfo": "4775822",
"confirmedResult": null,
"confirmedRemark": null,
"clientCode": "TAC00001",
"createTime": "Apr 1, 2023 12:36:44 AM",
"updateIme": "Apr 1, 2023 12:36:44 AM",
"airline": "F9",
"depTime": "Mar 31, 2023 11:12:00 AM",
"confirmTime": null,
"confirmUsr": null,
"notified": 1,
"pnr": "G7ZNW5",
"paxName": "SOWERS/REBECCA MUSETTA,STEPHENS/DAVID JEROME",
"paxEmail": "GeraldineDushkin2005@ttjipiao.top"
},
…
]
}Last updated
Was this helpful?

